<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/backgroundView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black" />

    <com.lightgame.view.NoScrollableViewPager
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never" />

    <LinearLayout
        android:id="@+id/toolbarContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.gh.gamecenter.common.view.StatusBarView
            android:id="@+id/statusBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/ui_surface_fixed_dark" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/ui_surface_fixed_dark">

            <FrameLayout
                android:id="@+id/backContainer"
                android:layout_width="48dp"
                android:layout_height="48dp">

                <ImageView
                    android:id="@+id/backBtn"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_gravity="center"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:clickable="true"
                    android:focusable="true"
                    app:srcCompat="@drawable/ic_bar_back_light" />
            </FrameLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/checkedContainer"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true">

                <ImageView
                    android:id="@+id/checkedIv"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_gravity="center"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:clickable="true"
                    android:focusable="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/ic_choose_media_select" />

                <TextView
                    android:id="@+id/chooseCountTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_aw_primary"
                    android:textSize="12sp"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/checkedIv"
                    app:layout_constraintEnd_toEndOf="@+id/checkedIv"
                    app:layout_constraintStart_toStartOf="@+id/checkedIv"
                    app:layout_constraintTop_toTopOf="@+id/checkedIv" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </RelativeLayout>

    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentBottom="true">

        <LinearLayout
            android:id="@+id/bottomContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:orientation="vertical">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/quickSelectRecyclerView"
                android:layout_width="match_parent"
                android:layout_height="84dp"
                android:background="@color/ui_surface_fixed_dark"
                android:clipToPadding="false"
                android:paddingStart="12dp"
                android:paddingTop="12dp"
                android:paddingEnd="12dp"
                android:paddingBottom="8dp"
                android:visibility="gone" />

            <include
                android:id="@+id/mediaControl"
                layout="@layout/piece_media_control" />

            <com.gh.gamecenter.common.view.NavigationBarView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/ui_surface_fixed_dark" />
        </LinearLayout>

    </RelativeLayout>
</RelativeLayout>